org.eclipse.actf.visualization.engines.blind.html

## Class VisualizeEngine

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.html.VisualizeEngine

    public class VisualizeEngine
    extends Object

Blind usability visualization engine.

### Field Summary

Fields
`static String` `ERROR_ICON_NAME`

### Constructor Summary

Constructors
Constructor and Description
`VisualizeEngine()` Constructor for VisualizeEngine.

### Method Summary

Methods
`int` `getMaxTime()`
`List<IProblemItem>` `getProbelems()`
`Document` `getResult()`
`File` `getVariantFile()`
`IVisualizeMapData` `getVisualizeMapData()`
`void` `setBaseUrl(String string)` Set base URL of target page
`void` `setDocument(Document document)` Sets target document.
`void` `setHtml2viewMapV(Vector<Html2ViewMapData> html2viewMapV)` Set vector of HTML source code position information
`void` `setHTML5(boolean isHTML5)` Set true if the target document is HTML5.
`void` `setInvisibleIdSet(Set<String> invisibleIdSet)` Set invisible elements' ID
`void` `setPageData(PageData pageData)` Set target `PageData` to store page statistics data through visualization
`void` `setTargetUrl(String string)` Set target URL
`void` `visualize()` Visualize blind users' usability

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_ICON_NAME

    public static String ERROR_ICON_NAME

### Constructor Detail

#### VisualizeEngine

    public VisualizeEngine()

Constructor for VisualizeEngine.

### Method Detail

#### setDocument

    public void setDocument(Document document)

Sets target document.

Parameters:
  `document` - target document

#### visualize

    public void visualize()

Visualize blind users' usability

#### getResult

    public Document getResult()

Returns:
  visualization result `Document`

#### getProbelems

    public List<IProblemItem> getProbelems()

Returns:
  detected problems as List of `IProblemItem`

#### setBaseUrl

    public void setBaseUrl(String string)

Set base URL of target page

Parameters:
  `string` - base URL

#### setTargetUrl

    public void setTargetUrl(String string)

Set target URL

Parameters:
  `string` - target URL

#### getMaxTime

    public int getMaxTime()

Returns:
  maximum reaching time in the page

#### setInvisibleIdSet

    public void setInvisibleIdSet(Set<String> invisibleIdSet)

Set invisible elements' ID

Parameters:
  `invisibleIdSet` - target Set of IDs

#### getVisualizeMapData

    public IVisualizeMapData getVisualizeMapData()

Returns:
  the mapping information between original/visualization result `Document`
See Also:
  `IVisualizeMapData`

#### setHtml2viewMapV

    public void setHtml2viewMapV(Vector<Html2ViewMapData> html2viewMapV)

Set vector of HTML source code position information

Parameters:
  `html2viewMapV` - target Vector of `Html2ViewMapData`

#### setPageData

    public void setPageData(PageData pageData)

Set target `PageData` to store page statistics data through visualization

Parameters:
  `pageData` - target `PageData`

#### setHTML5

    public void setHTML5(boolean isHTML5)

Set true if the target document is HTML5.

Parameters:
  `isHTML5` -

#### getVariantFile

    public File getVariantFile()

Returns:
  variant for visualization as `File`